zip_open
Zlib
Zip Functions
PHP Manual

# zip_read

Read next entry in a ZIP file archive

### Description

resource zip_read ( resource `$zip` )

Reads the next entry in a zip file archive.

### Parameters

`zip`

  A ZIP file previously opened with zip_open.

### Return Values

Returns a directory entry resource for later use with the zip_entry_... functions, or `FALSE` if there are no more entries to read, or an error code if an error occurred.

### See Also

- zip_open
- zip_close
- zip_entry_open
- zip_entry_read